test_spi::SPI Class Reference
Inheritance diagram for test_spi::SPI:

## Public Member Functions

| SPI (uint32_t clk=100000) noexcept
Public Member Functions inherited from utl::spi_i< spi_bb_i< SPI, CPOL, CPHA, spi::bitOrder::MSB_First > >
uint32_t | clock () const
void | clock (uint32_t c)
| set clock frequency of the bus More...
byte_t | tx_data (byte_t out)
size_t | tx_data (const byte_t *out, byte_t *in, size_t n)
| Transmit a number of bytes to the spi bus and read the response. More...
byte_t | rx_data ()
size_t | rx_data (byte_t *in, size_t n)
| Receive a number of bytes from the spi bus while transmitting 0xFFs. More...

## Additional Inherited Members

Public Types inherited from utl::spi_bb_i< SPI, spi::cpol::LOW, spi::cpha::LOW >
using | type = spi_bb_i< SPI, CPOL, CPHA, spi::bitOrder::MSB_First >
| Export type as identity meta-function. More...
Public Types inherited from utl::spi_i< spi_bb_i< SPI, CPOL, CPHA, spi::bitOrder::MSB_First > >
using | type = spi_i< spi_bb_i< SPI, CPOL, CPHA, spi::bitOrder::MSB_First > >
| Export type as identity meta-function. More...
Protected Member Functions inherited from utl::spi_bb_i< SPI, spi::cpol::LOW, spi::cpha::LOW >
| ~spi_bb_i ()=default
| spi_bb_i (uint32_t clk) noexcept
| A default constructor. More...
Protected Member Functions inherited from utl::spi_i< spi_bb_i< SPI, CPOL, CPHA, spi::bitOrder::MSB_First > >
| spi_i ()=default
| Allow constructor from derived only. More...
| spi_i (const type &)=delete
| No copies. More...
| ~spi_i ()=default
| Allow destructor from derived only. More...
type & | operator= (const type &)=delete

## Detailed Description

Definition at line 34 of file test_spi_impl.cpp.

## Constructor & Destructor Documentation

## SPI()

test_spi::SPI::SPI | ( | uint32_t | clk = `100000` | ) |

inlinenoexcept

Definition at line 42 of file test_spi_impl.cpp.

The documentation for this class was generated from the following file:

- test/tests/test_spi_impl.cpp